Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.dom.svg
Interface SVGNumberList

All Known Implementing Classes:
  AbstractSVGNumberList, CSSOMSVGColor

public interface SVGNumberList

Method Summary
`SVGNumber` | `appendItem(SVGNumber newItem)`
`void` | `clear()`
`SVGNumber` | `getItem(int index)`
`int` | `getNumberOfItems()`
`SVGNumber` | `initialize(SVGNumber newItem)`
`SVGNumber` | `insertItemBefore(SVGNumber newItem, int index)`
`SVGNumber` | `removeItem(int index)`
`SVGNumber` | `replaceItem(SVGNumber newItem, int index)`

Method Detail

### getNumberOfItems

    public int getNumberOfItems()

### clear

    public void clear()
               throws org.w3c.dom.DOMException

  Throws:
    `org.w3c.dom.DOMException`

### initialize

    public SVGNumber initialize(SVGNumber newItem)
                         throws org.w3c.dom.DOMException,
                                SVGException

  Throws:
    `org.w3c.dom.DOMException`
    `SVGException`

### getItem

    public SVGNumber getItem(int index)
                      throws org.w3c.dom.DOMException

  Throws:
    `org.w3c.dom.DOMException`

### insertItemBefore

    public SVGNumber insertItemBefore(SVGNumber newItem,
                                      int index)
                               throws org.w3c.dom.DOMException,
                                      SVGException

  Throws:
    `org.w3c.dom.DOMException`
    `SVGException`

### replaceItem

    public SVGNumber replaceItem(SVGNumber newItem,
                                 int index)
                          throws org.w3c.dom.DOMException,
                                 SVGException

  Throws:
    `org.w3c.dom.DOMException`
    `SVGException`

### removeItem

    public SVGNumber removeItem(int index)
                         throws org.w3c.dom.DOMException

  Throws:
    `org.w3c.dom.DOMException`

### appendItem

    public SVGNumber appendItem(SVGNumber newItem)
                         throws org.w3c.dom.DOMException,
                                SVGException

  Throws:
    `org.w3c.dom.DOMException`
    `SVGException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Apache Software Foundation. All Rights Reserved.